### Namespace

# Msg – 1

Library to access MS Graph API for Office 365.

Version | 1
Authors | Jan-Michael Brummer
License | LGPL-3.0-or-later
Website | https://jbrummer.pages.gitlab.gnome.org/msgraph/
Source | https://gitlab.gnome.org/jbrummer/msgraph/

#### Build

C headers | `msg.h`
pkg-config files | `msgraph-1`

#### Dependencies

GLib—2.0 | The base utility library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | Gio is a library providing useful classes for general purpose I/O, networking, IPC, settings, and other high level application functionality
| Browse documentation
Goa—1.0 | GNOME Online Accounts
| Browse documentation
Json—1.0 | JSON parser and generator
| Browse documentation
Soup—3.0 | HTTP client/server library for GNOME
| Browse documentation

#### Additional documentation

- Compiling with Libmsgraph
- Classes Hierarchy

#### Classes

Drive | `MsgDriveService` is a subclass of `MsgService` for communicating with the MS Graph API.
DriveItem |
DriveItemFile |
DriveItemFolder |
DriveService |
GoaAuthorizer | The `MsgGoaAuthorizer` structure contains only private data and should only be accessed using the provided API.
InputStream |
MailFolder | Handling of mail folder specific functions.
MailMessage | Handling of mail message specific functions.
MailService |
OAuth2Authorizer |
Service |
User | Handling of user specific functions.
UserContactFolder | Handling of user_contact folder specific functions.
UserService |

#### Interfaces

Authorizer |

#### Structs

_DriveItemFileClass |
_DriveItemFolderClass |

#### Enumerations

DriveType | The type of Drive objects.
MailFolderType |

#### Error Domains

Error | This enumeration can be expanded at a later date.

#### Functions

error_quark |
json_object_get_boolean |
json_object_get_string |

#### Function Macros

OAUTH2_AUTHORIZER |
OAUTH2_AUTHORIZER_CLASS |

#### Constants

API_ENDPOINT |
BETA_API_ENDPOINT |